------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-06-05
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(416, 407)
local Player_1 = CppScriptMgr:AddPlayer(275, 409, 402, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(1101183, 422, 414, "", 0, 0)
Player_2:SetDir(3)
local Player_3 = CppScriptMgr:AddSimplePlayer(1101197, 417, 410, "", 0, 0)
Player_3:SetDir(7)
local Player_4 = CppScriptMgr:QueryHero()
Player_4:SetPos(416, 417)
Player_4:SetDir(4)
CppScriptMgr:WaitMilSec(500)
Player_4:Say("No! The Demon Eye is about to explode!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Mother!!! Get away!!!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Don`t worry, dear. You`ll be safe with me.", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_hong", 417, 410, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_jin", 422, 414, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetPos(417, 410)
Player_3:SetPos(422, 414)
CppScriptMgr:WaitMilSec(220)
Player_2:SetDir(7)
Player_3:SetDir(3)
CppScriptMgr:WaitMilSec(760)
Player_3:Say("Mom... no...", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Don`t cry, my child. You must live well!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_3 = CppScriptMgr:AddEffect("taoist-huohuan", 409, 402, 33, 1, 1, 1)
Effect_3:Scale(2, 2, 2)
local Effect_4 = CppScriptMgr:AddEffect("cyclonexian", 416, 407, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(170)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:ClearEffect(Effect_1)
Player_1:SetHide(1)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(1330)
local Effect_5 = CppScriptMgr:AddEffect("hunpo02", 416, 417, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("eidolon", 416, 417, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("It`s the World Tree`s seed!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_4:Say("A mother`s love has awakened the dormant seed.", 2500)
CppScriptMgr:WaitMilSec(2500)